image: docker

stages:
    - build

variables:
    GIT_STRATEGY: "clone"
    PARENT_IMAGE: "phusion/baseimage:18.04-1.0.0-arm64"

build:container:
    stage: build
    tags:
        - arm64-onprem-public
    script:
        - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
        - docker build --squash --no-cache --build-arg PARENT_IMAGE=$PARENT_IMAGE -t $CI_REGISTRY_IMAGE:18.04 -t $CI_REGISTRY_IMAGE:latest .
        - docker push $CI_REGISTRY_IMAGE
